import type { Fixes } from './types/exports.js';
import type { Issues } from './types/issues.js';
export declare class IssueFixer {
    isEnabled: boolean;
    cwd: string;
    isFixDependencies: boolean;
    isFixUnusedTypes: boolean;
    isFixUnusedExports: boolean;
    unusedTypeNodes: Map<string, Set<[number, number]>>;
    unusedExportNodes: Map<string, Set<[number, number]>>;
    constructor({ isEnabled, cwd, fixTypes }: {
        isEnabled: boolean;
        cwd: string;
        fixTypes: string[];
    });
    addUnusedTypeNode(filePath: string, fixes: Fixes | undefined): void;
    addUnusedExportNode(filePath: string, fixes: Fixes | undefined): void;
    fixIssues(issues: Issues): Promise<void>;
    private removeUnusedExportKeywords;
    private removeUnusedDependencies;
}
