import { hasDependency } from '#p/util/plugin.js';
const title = 'commitlint';
const enablers = ['@commitlint/cli'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, enablers);
const config = [
    '.commitlintrc',
    '.commitlintrc.{json,yaml,yml,js,cjs,ts,cts}',
    'commitlint.config.{js,cjs,ts,cts}',
    'package.json',
];
const resolveConfig = config => {
    const extendsConfigs = config.extends ? [config.extends].flat() : [];
    const plugins = config.plugins ? [config.plugins].flat() : [];
    return [...extendsConfigs, ...plugins];
};
export default {
    title,
    enablers,
    isEnabled,
    config,
    resolveConfig,
};
