import ts from 'typescript';
import type { AsyncCompilers, SyncCompilers } from '../compilers/types.js';
import { SourceFileManager } from './SourceFileManager.js';
type CreateHostsOptions = {
    cwd: string;
    compilerOptions: ts.CompilerOptions;
    entryPaths: Set<string>;
    compilers: [SyncCompilers, AsyncCompilers];
    isSkipLibs: boolean;
    useResolverCache: boolean;
};
export declare const createHosts: ({ cwd, compilerOptions, entryPaths, compilers, isSkipLibs, useResolverCache, }: CreateHostsOptions) => {
    fileManager: SourceFileManager;
    compilerHost: ts.CompilerHost;
    resolveModuleNames: (moduleNames: string[], containingFile: string) => (ts.ResolvedModuleFull | undefined)[];
    languageServiceHost: ts.LanguageServiceHost;
};
export {};
